/* Sound controlled desk lamp with microphone or microphone module 
   Dev: Michalis Vasilakis / Date: 31/5/2015 / www.ardumotive.com  */

//Constants
int relayPin = 3;
int micPin = A0;
   
//Variables
int sensorValue;
int flag=0;

void setup() {
	
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600); 
  pinMode(relayPin, OUTPUT);
  
}

void loop() {
  
  sensorValue = analogRead(micPin); // read the input on analog pin 0
  
  /* Print out the value you read.
     Open serial monitor and see mic value, for mine is 222
     Make a sound to see how it's changing and make correction on if statement  */
     
  Serial.println(sensorValue);
  
  if (sensorValue < 221 || sensorValue > 223){
    if (flag==0){
    digitalWrite(relayPin, HIGH);
    flag=1;
    }
    else if (flag==1){
    digitalWrite(relayPin, LOW);
    flag=0;
    }
  }
  
  delay(1000);  // delay in between reads for stability // Change it if you want ;)
}